Loading...
Searching...
No Matches
Definition.h File Reference

Defines the internal representation of a halide function's definition and related classes. More...

`#include "Expr.h"`
`#include "IntrusivePtr.h"`
`#include "Schedule.h"`
`#include <map>`

Go to the source code of this file.

## Classes

class | Halide::Internal::Definition
| A Function definition which can either represent a init or an update definition. More...
struct | Halide::Internal::Specialization

## Namespaces

namespace | Halide
| This file defines the class FunctionDAG, which is our representation of a Halide pipeline, and contains methods to using Halide's bounds tools to query properties of it.
namespace | Halide::Internal

## Detailed Description

Defines the internal representation of a halide function's definition and related classes.

Definition in file Definition.h.